/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * EdicionClienteDialog.java
 *
 * Created on 9/04/2009, 07:14:39 PM
 */

package com.pmarlen.client.view;

import com.pmarlen.client.ApplicationInfo;
import java.awt.Dialog;
import java.awt.Window;

/**
 *
 * @author alfred
 */
public class EdicionLineaDialog extends javax.swing.JDialog {

    /** Creates new form EdicionClienteDialog */
    public EdicionLineaDialog(Window f) {
        super(f,Dialog.ModalityType.DOCUMENT_MODAL);
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel15 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        jPanel4 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        nombre = new javax.swing.JTextField();
        jPanel2 = new javax.swing.JPanel();
        guardar = new javax.swing.JButton();
        cancelar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle(ApplicationInfo.getLocalizedMessage("DLG_EDIT_CLEINTE_TITLE")); // NOI18N
        getContentPane().setLayout(new java.awt.BorderLayout(0, 5));
        getContentPane().add(jPanel15, java.awt.BorderLayout.NORTH);

        jPanel1.setLayout(new java.awt.GridLayout(1, 1, 0, 2));

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Linea :");
        jLabel2.setPreferredSize(new java.awt.Dimension(180, 18));
        jPanel4.add(jLabel2);

        nombre.setColumns(20);
        jPanel4.add(nombre);

        jPanel1.add(jPanel4);

        getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);

        guardar.setText(ApplicationInfo.getLocalizedMessage("SAVE")); // NOI18N
        jPanel2.add(guardar);

        cancelar.setText(ApplicationInfo.getLocalizedMessage("CANCELL")); // NOI18N
        jPanel2.add(cancelar);

        getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cancelar;
    private javax.swing.JButton guardar;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel15;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JTextField nombre;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the cancelar
	 */
	public javax.swing.JButton getCancelar() {
		return cancelar;
	}

	/**
	 * @return the guardar
	 */
	public javax.swing.JButton getGuardar() {
		return guardar;
	}

	/**
	 * @return the nombre
	 */
	public javax.swing.JTextField getNombre() {
		return nombre;
	}

	/**
	 * @param nombre the nombre to set
	 */
	public void setNombre(javax.swing.JTextField nombre) {
		this.nombre = nombre;
	}

}
